#### D.4.18.7 quotientMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  quotientMon (I,J); I,J ideals.

Return:
  an ideal, the quotient I:J.
  (returns -1 if I or J is not monomial)

Assume:
  I,J are monomial ideals of the basering.

Note:
  the minimal monomial generating set is returned.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^3*x*y,w*x*y*z*t,x^2*y^2*z^2,x^2*z^4*t^3,y^3*z;
    ideal J = w*x, x^2, y*z*t, y^5*t;
    quotientMon (I,J);
    ==> _[1]=y3z
    ==> _[2]=y2z2t
    ==> _[3]=xy2z2
    ==> _[4]=wy2zt
    ==> _[5]=wxyzt
    ==> _[6]=w3xy
    ==> _[7]=w2y2z2
    ==> _[8]=w3y2z
    ==> _[9]=x2z4t3
    ==> _[10]=wxz4t3

User manual for Singular version 4.4.1, 2025, generated by texi2html.